Subject: [nvo3] Comments to NVO3 OAM draft-tissa-nvo3-oam-fm-00.txt

From: Gregory Mirsky <[email-masked]>
Date: Thu, 27 Feb 2014 17:55:57 +0000

Dear Authors,
I have several architectural questions to presented in the draft NVO3 OAM before diving into detailed analysis of protocol design.
The NVO3 Operations, Administration, and Maintenance Requirements (draft-ashwood-nvo3-oam-requirements) defines scope of NVO3 OAM as domain within NV-Edge entities. If you agree with this definition, then:

*         where in NVO3 OAM domain a MIP can exist if, as I think, MEP is at NV-Edge entity;

*         what is benefit of MD Level for this model of OAM as it appears to be flat and OAM layers for NVO3 viewed as Tenant (Service), NV Edge, and Transport (VPN);

*         what are benefits of Entropy TLV for Continuity Check OAM? I believe that ensuring in-band behavior for proactive CC OAM is sufficient requirement even for multipath segments;

*         what is meaning of "Semantics and usage of Type values allocated for TRILL OAM purpose are defined by this document and other future related documents." in Sec. 8.3. Format of IETF Overlay OAM TLV

*         would it be prudent to complete work on NVO3 Requirements followed with OAM Gap Analysis and then work on extending and augmenting NVO3 OAM toolbox.

Regards,
        Greg